Ruby SDK - Analytics module not being included in Campaign class

ads
ruby

#1

I’m trying to get pull historic campaign, line item, and tweet information. The documentation and code say that the Analytics module which allows stats calls is included in all 3 classes. Except when I check via:

TwitterAds::Campaign.ancestors.select {|o| o.class == Module }

It’s not included in the list of included modules so I can’t make stats calls for a campaign using the twitter-ads gem.


#2

Figured out what was going on:

gem ‘twitter-ads’ doesn’t have the campaign.rb file which includes the required module. However if I added the gem with a direct reference to the github path it worked.


#3

Hey @addev

Thank you for brining this to our attention. Glad you were able to get that sorted out!

Thanks!